.input {
  @import '../../../themes/variables/color';

  .input-label {
    width: 100%;

    color: $blue-5;
    font-size: 1.2rem;
    line-height: 2.1rem;
  }

  .input-field {
    border: 0.1rem solid $brown-1;
    padding: 0 0.8rem;

    width: 100%;
    height: 3.4rem;

    color: $blue-5;
    font-size: 1.2rem;
    line-height: 2.1rem;

    &:disabled {
      opacity: 0.75;
    }

    &::placeholder {
      color: $violet-1;
    }
  }

  .input-field-wrapper {
    display: flex;

    position: relative;
    align-items: center;

    .input-label {
      margin-bottom: 0.4rem;
    }

    .input-field {
      padding-top: 0.1rem;
      padding-right: 2.4rem + 0.8rem;
    }

    .input-icon {
      position: absolute;
      right: 0;
      transform: translateX(-25%);
    }
  }
}
